The Bisect Nodes object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
{
"id": "bisect-nodes_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"root": "root_example",
"left_child": "left_child_example",
"right_child": "right_child_example",
"period_from_date": "2024-01-15",
"period_to_date": "2024-01-15",
"difference": 0,
"balance_sheet_summary": 0,
"profit_loss_summary": 0,
"generated": false
} /api/accounts/bisect-nodes/{id} Retrieve a bisect nodes
Retrieves the details of an existing bisect nodes. Supply the unique bisect nodes ID that was returned from a previous request.
Path parameters
The identifier of the bisect nodes to retrieve.
Returns
Returns the bisect nodes object if a valid identifier was provided.
curl https://api.overplane.dev/api/accounts/bisect-nodes/bisect-nodes_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "bisect-nodes_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"root": "root_example",
"left_child": "left_child_example",
"right_child": "right_child_example",
"period_from_date": "2024-01-15",
"period_to_date": "2024-01-15",
"difference": 0,
"balance_sheet_summary": 0,
"profit_loss_summary": 0,
"generated": false
} /api/accounts/bisect-nodes List all bisect nodess
Returns a list of bisect nodess. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of bisect nodes objects.
curl https://api.overplane.dev/api/accounts/bisect-nodes \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "bisect-nodes_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"root": "root_example",
"left_child": "left_child_example",
"right_child": "right_child_example",
"period_from_date": "2024-01-15",
"period_to_date": "2024-01-15",
"difference": 0,
"balance_sheet_summary": 0,
"profit_loss_summary": 0,
"generated": false
}
],
"has_more": false,
"total": 1
} /api/accounts/bisect-nodes Create a bisect nodes
Creates a new bisect nodes object.
Body parameters
Default: false
Returns
Returns the newly created bisect nodes object if the call succeeded.
curl https://api.overplane.dev/api/accounts/bisect-nodes \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" {
"id": "bisect-nodes_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"root": "root_example",
"left_child": "left_child_example",
"right_child": "right_child_example",
"period_from_date": "2024-01-15",
"period_to_date": "2024-01-15",
"difference": 0,
"balance_sheet_summary": 0,
"profit_loss_summary": 0,
"generated": false
} /api/accounts/bisect-nodes/{id} Update a bisect nodes
Updates the specified bisect nodes by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the bisect nodes to update.
Body parameters
Default: false
Returns
Returns the updated bisect nodes object.
curl https://api.overplane.dev/api/accounts/bisect-nodes/bisect-nodes_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"root":"root_example","left_child":"left_child_example"}' {
"id": "bisect-nodes_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"root": "root_example",
"left_child": "left_child_example",
"right_child": "right_child_example",
"period_from_date": "2024-01-15",
"period_to_date": "2024-01-15",
"difference": 0,
"balance_sheet_summary": 0,
"profit_loss_summary": 0,
"generated": false
} /api/accounts/bisect-nodes/{id} Delete a bisect nodes
Permanently deletes a bisect nodes. This cannot be undone.
Path parameters
The identifier of the bisect nodes to delete.
Returns
Returns a confirmation that the bisect nodes has been deleted.
curl https://api.overplane.dev/api/accounts/bisect-nodes/bisect-nodes_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "bisect-nodes_abc123",
"deleted": true
}